# %define _unpackaged_files_terminate_build	1
%define project fdr

Summary: Render a planetary image into an X window
Name: xplanet
Epoch: 0
Version: 1.0.1
Release: 0.%{project}.5.1
License: GPL
Group: Amusements/Graphics
Source: http://prdownloads.sourceforge.net/xplanet/xplanet-1.0.1.tar.gz
Patch: patch-DisplayBase.cpp
URL: http://%{name}.sourceforge.net
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: libungif-devel, libjpeg-devel, libpng-devel, netpbm-devel, libtiff-devel, freetype-devel, XFree86-devel
Prefix: /usr/X11R6
%define _prefix %{prefix}

%description
Xplanet is similar to Xearth, where an image of the earth is rendered
into an X window.  Azimuthal, Mercator, Mollweide, orthographic, or
rectangular projections can be displayed as well as a window with a
globe the user can rotate interactively.  The other terrestrial
planets may also be displayed. The Xplanet home page has links to
locations with map files.

#---------------------------------------------------------------------

%prep
%setup
%patch -p0

#---------------------------------------------------------------------

%build
%configure
make %{?_smp_mflags}

#---------------------------------------------------------------------

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install 

#---------------------------------------------------------------------

%clean
rm -rf %{buildroot}

#---------------------------------------------------------------------

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README README.config AUTHORS NEWS TODO
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/xplanet

#---------------------------------------------------------------------

%changelog
* Sun May 11 2003 Juha Ylitalo <jylitalo@iki.fi> - 0:1.0.1-0.fdr.5
- added %defattr so that we wouldn't get big list of user temp1 does not exist.
- added XFree86-devel into BuildRequires, since fedora build seems to lack
  dependencies to libX11 and libXext (from XFree86-libs)

* Thu May 01 2003 Juha Ylitalo <jylitalo@iki.fi> - 0:1.0.1-0.fdr.4
- appearantly removing INSTALL from %files section was all that was needed...

* Thu May 01 2003 Juha Ylitalo <jylitalo@iki.fi> - 0:1.0.1-0.fdr.2
- fixed Group in SPEC file (to Amusements/Graphics)
- added AUTHORS, NEWS, README.config and TODO into %files %doc list.
- removed INSTALL from %files
- and other minor changes based on bugzilla.fedora.us #109.

* Tue Apr 29 2003 Juha Ylitalo <jylitalo@iki.fi> - 0:1.0.1-0.fdr.1
- fixed release to match Fedora guidelines.
- ./configure to %configure and bunch of other find-replace operations.
- added missing BuildRequires.

* Tue Apr 01 2003 Juha Ylitalo <jylitalo@iki.fi> - 0:1.0.1-1.fdr.1
- upgrade from 0.94 to 1.0.1
- fedora related changed to Hari Nair <hari@alumni.caltech.edu>'s original spec
- added patch to make my 0xf6 etc. finnish characters to show in markers.
